Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4763 - xinit Can Fail If 'stty tostop' In Use On Console
Summary: xinit Can Fail If 'stty tostop' In Use On Console
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-28 02:59 UTC by Jason Bucata
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-29 16:08:57 UTC


Attachments (Terms of Use)

Description Jason Bucata 1999-08-28 02:59:07 UTC
I encountered this bug when I decided to use 'stty tostop'
on my console window.  I get warning messages printed to my
console whenever I start X to the effect that fvwm wasn't
found and that it's resorting to twm to get me going.  (I
have yet to care about that, since I like twm fine enough.)
It turns out that this message apparently causes xinit to
hang when starting in a console with tostop set.

I'll mail my patch to startx to turn off tostop before and
restore the original stty settings after xinit runs.

Comment 1 Preston Brown 1999-08-29 16:08:59 UTC
you can fix the fvwm issue by upgrading to the errata release of the
'xinitrc' package in ftp.redhat.com/pub/updates/6.0/noarch.


Note You need to log in before you can comment on or make changes to this bug.